beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mark Liu (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (BEAM-2425) Package does not exit when building beam-sdks-java-javadoc in JDK1.7
Date Thu, 29 Jun 2017 18:39:00 GMT

    [ https://issues.apache.org/jira/browse/BEAM-2425?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16068768#comment-16068768
] 

Mark Liu commented on BEAM-2425:
--------------------------------

friendly ping. Do you have time to look at it?

> Package does not exit when building beam-sdks-java-javadoc in JDK1.7
> --------------------------------------------------------------------
>
>                 Key: BEAM-2425
>                 URL: https://issues.apache.org/jira/browse/BEAM-2425
>             Project: Beam
>          Issue Type: Bug
>          Components: testing
>            Reporter: Mark Liu
>            Assignee: Jean-Baptiste Onofré
>
> Error from [Jenkins build|https://builds.apache.org/job/beam_PostCommit_Java_JDK_Versions_Test/57/jdk=JDK%201.7%20(latest),label=beam/console]:
> {code}
> [javadoc] Constructing Javadoc information...
>   [javadoc] /home/jenkins/jenkins-slave/workspace/beam_PostCommit_Java_JDK_Versions_Test/jdk/JDK
1.7 (latest)/label/beam/sdks/java/javadoc/target/collected/org/apache/beam/sdk/io/cassandra/CassandraServiceImpl.java:20:
error: package com.datastax.driver.core does not exist
>   [javadoc] import com.datastax.driver.core.Cluster;
>   [javadoc]                                ^
> ...
>   [javadoc] /home/jenkins/jenkins-slave/workspace/beam_PostCommit_Java_JDK_Versions_Test/jdk/JDK
1.7 (latest)/label/beam/sdks/java/javadoc/target/collected/org/apache/beam/sdk/io/cassandra/CassandraServiceImpl.java:27:
error: package com.datastax.driver.core.policies does not exist
>   [javadoc] import com.datastax.driver.core.policies.DCAwareRoundRobinPolicy;
>   [javadoc]                                         ^
> ...
> {code}
> This is maven Postcommit build in JDK1.7
> We have exclude many packages for Java8 in [this ant build script|https://github.com/apache/beam/blob/master/sdks/java/javadoc/ant.xml],
but not org.apache.beam.sdk.io.cassandra. Probably need to add there?



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message